Get a currency conversion estimate based on present conversion rates.
Get Currency Conversion
/api/currency/convert Request
Query Parameters
currencystringrequiredThe currency alpha code to convert from
amountstringrequiredThe amount of
currencyto convert to destination currency, an integer in the smallest denomination for the given currencytargetCurrencystringThe target currency alpha code for the conversion. Defaults to
USD
Response
Successful operation.
Body application/json
currencystringThe currency to convert from.
convertedCurrencystringThe currency converted to.
amountstringThe amount of currency to convert to destination currency denominated in the major unit. An integer in the smallest denomination for the given currency.
convertedAmountstringThe resulting amount of the conversion from
currencyintoconvertedCurrencydenominated in the smallest denomination for the given currency.ratestringThe conversion rate applied to arrive at the
convertedAmountof theconvertedCurrencyfrom theamountofcurrency.
Request fields are invalid.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequirederrorsobject[]Items
messagestringpathstringThe location of the invalid path param, query param or payload attribute.